
SWEP.Category				= "RC's Medal of Honor 2010 SWeps"
SWEP.PrintName 				= "F2000 Scope Silenced" 
SWEP.Author		                = "Red Crayon"
SWEP.Purpose				= ""
SWEP.HoldType 				= "ar2"
SWEP.ViewModelFlip	                = false
SWEP.ViewModelFOV		= 70
SWEP.WeaponDeploySpeed                  = 0.8
SWEP.Base 				= "shain_new_base_unscope"
SWEP.Spawnable 				= true
SWEP.AdminSpawnable 			= true
SWEP.Slot = 2
SWEP.SlotPos = 2
SWEP.FiresUnderwater = false
SWEP.ViewModel 				= "models/weapons/v_moh_abb.mdl"
SWEP.WorldModel 			= "models/weapons/w_moh_abb.mdl"

SWEP.Primary.Sound 			= Sound("weapons/rc_moh_f2000sil/aug-1.wav")
SWEP.Primary.NumShots 			= 1
SWEP.Primary.ClipSize 			= 30
SWEP.Primary.DefaultClip 			= 300
SWEP.Primary.Ammo 			= "airboatgun"
SWEP.Primary.Force      = 2000
SWEP.ViewKick = 0.09
SWEP.Primary.Tracer	= 1
SWEP.CSMuzzleFlashes	= true
SWEP.Instructions	= "A Fully-Automatic Rifle"
SWEP.UseScope                           = true
SWEP.WeaponDeploySpeed = 1
SWEP.sil = true
SWEP.abletosprintpos = true

SWEP.AimAuto            = true
SWEP.AimDelay                 = 0.08
SWEP.AimCone                  = 0.0009
SWEP.AimDamage                = 26

SWEP.HipAuto           = true
SWEP.HipDelay              = 0.08
SWEP.HipCone                = 0.05
SWEP.HipDamage              = 26

SWEP.Secondary.ClipSize 			= -1
SWEP.Secondary.DefaultClip 			= -1
SWEP.Secondary.Automatic 			= false
SWEP.Secondary.Ammo 			= ""

SWEP.MuzzleAttachment			= 1
SWEP.ShellEjectAttachment			= 2
SWEP.ShellEffect = "none"
SWEP.MuzzleEffect			= "none"
SWEP.ShellDelay = 0.005


SWEP.RunSightsPos = Vector (0.5949, -4.4796, 0.0364)
SWEP.RunSightsAng = Vector (-9.5945, 22.6026, -1.8654)






function SWEP:Deploy()

		self.Weapon:EmitSound("hl2_base_sounds/draw.wav")
		self.Primary.Automatic = self.HipAuto
        self.Primary.Delay = self.HipDelay
        self.Primary.Cone = self.HipCone
        self.Primary.Damage = self.HipDamage
        self.ScopeLevel = 0
	self.Weapon:SetNetworkedBool( "Ironsights", false )
	self.Weapon:SetNetworkedBool( "Zoomed", false )
	return true
end
	

function SWEP:SetZoomed( b )

	self.Weapon:SetNetworkedBool( "Zoomed", b )

end

function SWEP:Initialize()

	if ( SERVER ) then
		self:SetNPCMinBurst( 30 )
		self:SetNPCMaxBurst( 30 )
		self:SetNPCFireRate( 0.01 )
	end
		self:SetWeaponHoldType( self.HoldType )
        self.Primary.Automatic = self.HipAuto
        self.Primary.Delay = self.HipDelay
        self.Primary.Cone = self.HipCone
        self.Primary.Damage = self.HipDamage
        self.ScopeLevel = 0

        self.Weapon:SetDeploySpeed( self.WeaponDeploySpeed )

	self.Weapon:SetNetworkedBool( "Zoomed", false )

	self.Weapon:SetNetworkedBool( "Ironsights", false )

end

function SWEP:AdjustMouseSensitivity()
	if self.ScopeLevel == 0 then
		return -1
	end
	if self.ScopeLevel == 1 then
		return 0.1
	end
end

SWEP.NextSecondaryAttack = 0

function SWEP:SecondaryAttack()

end

function SWEP:SetZoomed( b )

	self.Weapon:SetNetworkedBool( "Zoomed", b )

end



function SWEP:Reload()
		self.Weapon:DefaultReload( ACT_VM_RELOAD )
        if (self.UseScope == true) then
                if ( (self.ScopeLevel == 1) or (self.ScopeLevel == 2) ) then
                        if self.Weapon:DefaultReload() then
                                self.Primary.Automatic = self.HipAuto
                                self.Primary.Delay = self.HipDelay
                                self.Primary.Cone = self.HipCone
                                self.Primary.Damage = self.HipDamage
                                if (SERVER) then
                                        self.Owner:SetFOV( self.OriginalFOV, 0.3 )
                                end
				self:SetZoomed(false)
                                self.ScopeLevel = 0
                        end
                end
        end
		
	self:SetIronsights( false )
end
