
SWEP.Category				= "RC's Medal of Honor 2010 SWeps"
SWEP.PrintName 				= "Glock 19" 
SWEP.Author		                = "Red Crayon"
SWEP.Purpose				= ""
SWEP.HoldType 				= "ar2"
SWEP.ViewModelFlip	                = true
SWEP.ViewModelFOV		= 70
SWEP.WeaponDeploySpeed                  = 0.8
SWEP.Base 				= "shain_new_base"
SWEP.Spawnable 				= true
SWEP.AdminSpawnable 			= true
SWEP.Slot = 2
SWEP.SlotPos = 2
SWEP.FiresUnderwater = false
SWEP.ViewModel 				= "models/weapons/v_mohr_glock18.mdl"
SWEP.WorldModel 			= "models/weapons/w_mohp_glock18.mdl"

SWEP.Primary.Sound 			= Sound("weapons/rc_moh_glock/glock18-1.wav")
SWEP.Primary.NumShots 			= 1
SWEP.Primary.ClipSize 			= 15
SWEP.Primary.DefaultClip 			= 20
SWEP.Primary.Ammo 			= "battery"
SWEP.Primary.Force      = 2000
SWEP.ViewKick = 0.09
SWEP.Primary.Tracer	= 1
SWEP.CSMuzzleFlashes	= true
SWEP.Instructions	= "A Semi-Automatic Pistol"
SWEP.UseScope                           = true
SWEP.WeaponDeploySpeed = 1
SWEP.sil = false
SWEP.abletosprintpos = true

SWEP.AimAuto            = false
SWEP.AimDelay                 = 0.09
SWEP.AimCone                  = 0.0009
SWEP.AimDamage                = 10

SWEP.HipAuto           = false
SWEP.HipDelay              = 0.09
SWEP.HipCone                = 0.05
SWEP.HipDamage              = 10

SWEP.Secondary.ClipSize 			= -1
SWEP.Secondary.DefaultClip 			= -1
SWEP.Secondary.Automatic 			= false
SWEP.Secondary.Ammo 			= ""

SWEP.MuzzleAttachment			= 1
SWEP.ShellEjectAttachment			= 2
SWEP.ShellEffect = "none"
SWEP.MuzzleEffect			= "madk_muzzle_pistol"
SWEP.ShellDelay = 0.005


SWEP.IronSightsPos = Vector (2.4472, 0, 0.7893)
SWEP.IronSightsAng = Vector (0.2266, 0.7462, 0)

SWEP.DSightsPos = Vector (2.4472, 0, 0.7893)
SWEP.DSightsAng = Vector (0.2266, 0.7462, 0)

SWEP.RunSightsPos = Vector (-0.2443, -0.0689, 0.1115)
SWEP.RunSightsAng = Vector (-14.5293, -7.9521, 0)






function SWEP:Deploy()

		self.Weapon:EmitSound("hl2_base_sounds/draw.wav")
		self.Primary.Automatic = self.HipAuto
        self.Primary.Delay = self.HipDelay
        self.Primary.Cone = self.HipCone
        self.Primary.Damage = self.HipDamage
        self.ScopeLevel = 0
	self.Weapon:SetNetworkedBool( "Ironsights", false )
	self.Weapon:SetNetworkedBool( "Zoomed", false )
	return true
end
	

function SWEP:SetZoomed( b )

	self.Weapon:SetNetworkedBool( "Zoomed", b )

end

function SWEP:Initialize()

	if ( SERVER ) then
		self:SetNPCMinBurst( 30 )
		self:SetNPCMaxBurst( 30 )
		self:SetNPCFireRate( 0.01 )
	end
		self:SetWeaponHoldType( self.HoldType )
        self.Primary.Automatic = self.HipAuto
        self.Primary.Delay = self.HipDelay
        self.Primary.Cone = self.HipCone
        self.Primary.Damage = self.HipDamage
        self.ScopeLevel = 0

        self.Weapon:SetDeploySpeed( self.WeaponDeploySpeed )

	self.Weapon:SetNetworkedBool( "Zoomed", false )

	self.Weapon:SetNetworkedBool( "Ironsights", false )

end

function SWEP:AdjustMouseSensitivity()
	if self.ScopeLevel == 0 then
		return -1
	end
	if self.ScopeLevel == 1 then
		return 0.1
	end
end

SWEP.NextSecondaryAttack = 0

function SWEP:SecondaryAttack()

        if (self.UseScope == true) then
                if(self.ScopeLevel == 0) then
                        self.Primary.Automatic = self.AimAuto
                        self.Primary.Delay = self.AimDelay
                        self.Primary.Cone = self.AimCone
                        self.Primary.Damage = self.AimDamage
                        if (SERVER) then
                                self.OriginalFOV = self.Owner:GetFOV()
                                self.Owner:SetFOV( 60, 0.3 )
                        end
			self.Weapon:EmitSound( Sound( "madk_base/zoom1.wav" ) )
			self:SetZoomed(true)
                        self.ScopeLevel = 1
                else if(self.ScopeLevel == 1) then
                        self.Primary.Automatic = self.HipAuto
                        self.Primary.Delay = self.HipDelay
                        self.Primary.Cone = self.HipCone
                        self.Primary.Damage = self.HipDamage
                        if (SERVER) then
                                self.Owner:SetFOV( self.OriginalFOV, 0.3 )
                        end
			self.Weapon:EmitSound( Sound( "madk_base/zoom2.wav" ) )
			self:SetZoomed(false)
                        self.ScopeLevel = 0
                        end
                end
        end

	if ( !self.IronSightsPos ) then return end
	if ( self.NextSecondaryAttack > CurTime() ) then return end
	
	bIronsights = !self.Weapon:GetNetworkedBool( "Ironsights", false )
	
	self:SetIronsights( bIronsights )
	
	self.SetNextSecondaryAttack = CurTime() + 1
	
end

function SWEP:SetZoomed( b )

	self.Weapon:SetNetworkedBool( "Zoomed", b )

end



function SWEP:Reload()
		self.Weapon:DefaultReload( ACT_VM_RELOAD )
        if (self.UseScope == true) then
                if ( (self.ScopeLevel == 1) or (self.ScopeLevel == 2) ) then
                        if self.Weapon:DefaultReload() then
                                self.Primary.Automatic = self.HipAuto
                                self.Primary.Delay = self.HipDelay
                                self.Primary.Cone = self.HipCone
                                self.Primary.Damage = self.HipDamage
                                if (SERVER) then
                                        self.Owner:SetFOV( self.OriginalFOV, 0.3 )
                                end
				self:SetZoomed(false)
                                self.ScopeLevel = 0
                        end
                end
        end
		
	self:SetIronsights( false )
end
